diff -crN buildroot-2013.08.1-ckb-20150123-1/configs/ckb-1808_defconfig buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-1808_defconfig
*** buildroot-2013.08.1-ckb-20150123-1/configs/ckb-1808_defconfig	2015-10-09 09:05:38.704827375 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-1808_defconfig	2015-10-09 09:05:59.560827190 +0900
***************
*** 1072,1078 ****
  # BR2_PACKAGE_BMON is not set
  BR2_PACKAGE_BRIDGE_UTILS=y
  # BR2_PACKAGE_BWM_NG is not set
! BR2_PACKAGE_CAN_UTILS=y
  # BR2_PACKAGE_CHRONY is not set
  # BR2_PACKAGE_CONNMAN is not set
  BR2_PACKAGE_CRDA=y
--- 1072,1080 ----
  # BR2_PACKAGE_BMON is not set
  BR2_PACKAGE_BRIDGE_UTILS=y
  # BR2_PACKAGE_BWM_NG is not set
! # BR2_PACKAGE_CAN_UTILS is not set
! BR2_PACKAGE_CANUTILS=y
! BR2_PACKAGE_LIBSOCKETCAN=y
  # BR2_PACKAGE_CHRONY is not set
  # BR2_PACKAGE_CONNMAN is not set
  BR2_PACKAGE_CRDA=y
diff -crN buildroot-2013.08.1-ckb-20150123-1/configs/ckb-3352_defconfig buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-3352_defconfig
*** buildroot-2013.08.1-ckb-20150123-1/configs/ckb-3352_defconfig	2015-10-09 09:05:38.712827378 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-3352_defconfig	2015-10-09 09:05:59.580827188 +0900
***************
*** 1079,1085 ****
  # BR2_PACKAGE_BMON is not set
  BR2_PACKAGE_BRIDGE_UTILS=y
  # BR2_PACKAGE_BWM_NG is not set
! BR2_PACKAGE_CAN_UTILS=y
  # BR2_PACKAGE_CHRONY is not set
  # BR2_PACKAGE_CONNMAN is not set
  BR2_PACKAGE_CRDA=y
--- 1079,1087 ----
  # BR2_PACKAGE_BMON is not set
  BR2_PACKAGE_BRIDGE_UTILS=y
  # BR2_PACKAGE_BWM_NG is not set
! # BR2_PACKAGE_CAN_UTILS is not set
! BR2_PACKAGE_CANUTILS=y
! BR2_PACKAGE_LIBSOCKETCAN=y
  # BR2_PACKAGE_CHRONY is not set
  # BR2_PACKAGE_CONNMAN is not set
  BR2_PACKAGE_CRDA=y
diff -crN buildroot-2013.08.1-ckb-20150123-1/configs/ckb-rz_defconfig buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-rz_defconfig
*** buildroot-2013.08.1-ckb-20150123-1/configs/ckb-rz_defconfig	2015-10-09 09:05:38.712827378 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/configs/ckb-rz_defconfig	2015-10-09 09:05:59.584827190 +0900
***************
*** 1077,1083 ****
  # BR2_PACKAGE_BMON is not set
  BR2_PACKAGE_BRIDGE_UTILS=y
  # BR2_PACKAGE_BWM_NG is not set
! BR2_PACKAGE_CAN_UTILS=y
  # BR2_PACKAGE_CHRONY is not set
  # BR2_PACKAGE_CONNMAN is not set
  BR2_PACKAGE_CRDA=y
--- 1077,1085 ----
  # BR2_PACKAGE_BMON is not set
  BR2_PACKAGE_BRIDGE_UTILS=y
  # BR2_PACKAGE_BWM_NG is not set
! # BR2_PACKAGE_CAN_UTILS is not set
! BR2_PACKAGE_CANUTILS=y
! BR2_PACKAGE_LIBSOCKETCAN=y
  # BR2_PACKAGE_CHRONY is not set
  # BR2_PACKAGE_CONNMAN is not set
  BR2_PACKAGE_CRDA=y
diff -crN buildroot-2013.08.1-ckb-20150123-1/package/canutils/canutils.mk buildroot-2013.08.1-ckb-20150123-1-new/package/canutils/canutils.mk
*** buildroot-2013.08.1-ckb-20150123-1/package/canutils/canutils.mk	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/package/canutils/canutils.mk	2015-10-09 09:05:59.592827189 +0900
***************
*** 0 ****
--- 1,14 ----
+ #############################################################
+ #
+ # canutils: This is different from the existing "can-utils" package
+ # Depends on libsocketcan
+ #
+ #############################################################
+ 
+ CANUTILS_VERSION = 0391cd2
+ #CANUTILS_SITE = http://git.pengutronix.de/?p=tools/canutils.git\;a=snapshot\;h=0391cd2af67d9892f304b9bc10e884a48dec400c\;sf=tgz
+ CANUTILS_SITE = git://git.pengutronix.de/git/tools/canutils.git
+ CANUTILS_AUTORECONF = YES
+ CANUTILS_DEPENDENCIES += libsocketcan
+ 
+ $(eval $(autotools-package))
diff -crN buildroot-2013.08.1-ckb-20150123-1/package/canutils/Config.in buildroot-2013.08.1-ckb-20150123-1-new/package/canutils/Config.in
*** buildroot-2013.08.1-ckb-20150123-1/package/canutils/Config.in	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/package/canutils/Config.in	2015-10-09 09:05:59.592827190 +0900
***************
*** 0 ****
--- 1,7 ----
+ config BR2_PACKAGE_CANUTILS
+ 	bool "canutils"
+ 	select BR2_PACKAGE_LIBSOCKETCAN
+ 	help
+ 	  This version is different from the existing "can-utils" package
+ 	  Depends on libsocketcan. Together with libsocketcan, it provides
+ 	  becomes a far better application for CAN target machines. 
diff -crN buildroot-2013.08.1-ckb-20150123-1/package/Config.in buildroot-2013.08.1-ckb-20150123-1-new/package/Config.in
*** buildroot-2013.08.1-ckb-20150123-1/package/Config.in	2015-10-09 09:05:35.836827404 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/package/Config.in	2015-10-09 09:05:59.592827190 +0900
***************
*** 720,725 ****
--- 720,727 ----
  source "package/bridge-utils/Config.in"
  source "package/bwm-ng/Config.in"
  source "package/can-utils/Config.in"
+ source "package/canutils/Config.in"
+ source "package/libsocketcan/Config.in"
  source "package/chrony/Config.in"
  source "package/connman/Config.in"
  source "package/crda/Config.in"
diff -crN buildroot-2013.08.1-ckb-20150123-1/package/libsocketcan/Config.in buildroot-2013.08.1-ckb-20150123-1-new/package/libsocketcan/Config.in
*** buildroot-2013.08.1-ckb-20150123-1/package/libsocketcan/Config.in	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/package/libsocketcan/Config.in	2015-10-09 09:05:59.592827190 +0900
***************
*** 0 ****
--- 1,4 ----
+ config BR2_PACKAGE_LIBSOCKETCAN
+ 	bool "libsocketcan"
+ 	help
+ 	  libsocketcan is required for canutils to work. 
diff -crN buildroot-2013.08.1-ckb-20150123-1/package/libsocketcan/libsocketcan.mk buildroot-2013.08.1-ckb-20150123-1-new/package/libsocketcan/libsocketcan.mk
*** buildroot-2013.08.1-ckb-20150123-1/package/libsocketcan/libsocketcan.mk	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20150123-1-new/package/libsocketcan/libsocketcan.mk	2015-10-09 09:05:59.592827190 +0900
***************
*** 0 ****
--- 1,14 ----
+ #############################################################
+ #
+ # libsocketcan
+ #
+ #############################################################
+ 
+ LIBSOCKETCAN_VERSION = 0.0.8
+ LIBSOCKETCAN_SOURCE = libsocketcan-$(LIBSOCKETCAN_VERSION).tar.bz2
+ LIBSOCKETCAN_SITE = http://www.pengutronix.de/software/libsocketcan/download/
+ 
+ LIBSOCKETCAN_INSTALL_STAGING = YES
+ LIBSOCKETCAN_CONF_OPT += 
+ 
+ $(eval $(autotools-package))
